Namespace UTSModule.Test.Command.ConverterCommand
    Public Class ConverterCommandManager
        Public Shared Function CreateExecutor(command As TestCommand) As TestCommandExecutor
            Dim executor As TestCommandExecutor
            Select Case command.Name
                Case "GetString"
                    executor = New GetStringExecutor(command)
                Case "GetUTF8String"
                    executor = New GetUTF8StringExecutor(command)
                Case "GetValue"
                    executor = New GetValueExecutor(command)
                Case "GetBoolean"
                    executor = New GetBooleanExecutor(command)
                Case "SubString"
                    executor = New SubStringExecutor(command)
                Case "FormatString" 'Momo 2022-03-24
                    executor = New FormatStringExecutor(command)
                Case "Compare"
                    executor = New CompareExecutor(command)
                Case Else
                    Throw New Exception($"Converter集,未知命令 ：{command.Name}")
            End Select

            Return executor
        End Function


    End Class
End Namespace